SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[SendSMS]
@_consignee varchar(17),
@_message varchar(160),
@_sender varchar(7) = NULL
AS
SET @_message = RTRIM(LTRIM(@_message))
IF @_sender IS NULL SET @_sender = RIGHT(SYSTEM_USER, len(SYSTEM_USER)- CharIndex('\',SYSTEM_USER))
IF NOT (ISNULL(@_consignee, '') = '' AND ISNULL(@_message, '') = '')
	IF EXISTS(SELECT NULL FROM TinyTSG.dbo.RoleUsers WHERE Role = @_consignee)
		INSERT INTO TinyNET.prj_SMS.messages ( consignee, message, sender )
		SELECT cell_phone, @_message, @_sender
		FROM TinyTSG.dbo.RoleUsers RoleUsers INNER JOIN
			TinyTSG.dbo.Users Users ON RIGHT(RoleUsers.Login, 7) = Users.RACF COLLATE SQL_Hungarian_CP1250_CI_AS
		WHERE Role = @_consignee AND cell_phone is not null
	ELSE
		INSERT INTO TinyNET.prj_SMS.messages ( consignee, message, sender )
		VALUES( @_consignee, @_message, @_sender )
GO

